﻿/*!
 * Jumbula Login & Signup pages Style
 * Copyright © 2016 - Author: SaJad Jafari (sajadjafari.com) at Jumbula
 */


html, body {
    /*min-height: 100%;*/
    height: 100% !important;
}

body {
    padding: 0;
    margin: 0;
    background-color: #159957;
    background: -webkit-linear-gradient(120deg, #155799, #159957);
    background: -o-linear-gradient(120deg, #155799, #159957);
    background: -moz-linear-gradient(120deg, #155799, #159957);
    background: linear-gradient(120deg, #155799, #159957);
    background-repeat: no-repeat;
    background-size: cover !important;
}

.jb-icon-input {
    color: #fff;
    padding: 15px 20px 15px 70px;
    line-height: 40px;
    height: auto;
    font-weight: 100;
    background-color: rgba(255, 255, 255, 0.13);
    border: 1px solid rgba(0, 0, 0, 0.2);
    position: relative;
    font-size: 1.6em;
    font-weight: 200;
    text-transform: uppercase;
}

    .jb-icon-input:focus {
        border-color: #f68b0f;
    }


.input-icon {
    position: absolute;
    top: 20px;
    left: 20px;
    font-size: 2.4em;
    color: #f68b0f;
    border-right: 1px solid transparent;
    padding-right: 0px;
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
    z-index: 1;
}

.form-group {
    position: relative;
    margin-bottom: 5px;
}

    .form-group.checkbox {
        float: none;
        font-size: 1em;
        margin: 0;
        padding: 0;
        margin-top: 0.5em;
        line-height: 30px;
    }

    .form-group.focused .input-icon {
        font-size: 1.5em;
        top: 26px;
        padding-right: 10px;
        border-color: #f68b0f;
        color: #f68b0f;
    }

    .form-group.focused .jb-icon-input {
        padding-left: 60px;
        font-size: 1.3em;
        text-transform: none;
        font-weight: 400;
    }

    .form-group.valid-input > input {
        border-color: #55c700;
    }

    .form-group.invalid-input > input {
        border-color: #FF0000;
    }


/* * * * * * * * * * * Content Styles * * * * * * * * * * */
#mainBody div.checkbox {
    box-shadow: none !important;
}

#mainBody > .navbar-brand {
    /*position: absolute;*/
    top: 18px;
    left: 30px;
    z-index: 1;
    display: block;
}

#mainContainer {
    width: 100%;
    height: 100%;
    /*min-height: 650px;*/
    position: relative;
    overflow: hidden;
}


#ForgotPasswordMessage {
    margin: 0;
    background-color: #fff;
    padding: 10px 5px !important;
    display: none;
    color: #cb0b0b;
}

#loginBox,
#signupBox {
    width: 550px;
    position: absolute;
    min-height: 420px;
    left: 50%;
    color: #FFF;
    -webkit-transition: top .6s;
    -moz-transition: top .6s;
    -ms-transition: top .6s;
    -o-transition: top .6s;
    transition: top .6s;
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}

.domains-portal {
    width: 550px;
    position: absolute;
    left: 50%;
    top: 50%;
    /*min-height: 432px;*/
    color: #FFF;
    -webkit-transition: top .6s;
    -moz-transition: top .6s;
    -ms-transition: top .6s;
    -o-transition: top .6s;
    transition: top .6s;
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.text-segoe-links{
    font-weight: 400;
    font-size: 14px;
    font-family: "Segoe UI", Helvetica, Arial, sans-serif;
}
    .domains-portal.panel-styles {
        min-height: initial;
    }

    .domains-portal .nav > li > a:hover, .nav > li > a:focus {
        text-decoration: none;
        background-color: #f68b0f;
    }

#forgetPassBox, #resetPassBox {
    width: 550px;
    position: absolute;
    min-height: initial;
    left: 50%;
    top: 50%;
    color: #FFF;
    -webkit-transition: top .6s;
    -moz-transition: top .6s;
    -ms-transition: top .6s;
    -o-transition: top .6s;
    transition: top .6s;
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}

#loginBox.deactive {
    top: -170%;
}

#signupBox.deactive,
#forgetPassBox.deactive, #resetPassBox.deactive {
    top: 170%;
}

#loginBox.active,
#signupBox.active,
#forgetPassBox.active, #resetPassBox.active {
    top: 53%;
}

#loginBox .forget-password, .domains-portal .forget-password {
    float: left;
    text-align: center;
    font-size: 1em;
    color: #FFF;
    margin-top: 0.5em;
    line-height: 30px;
}

.domains-portal .nav-tabs {
    border: none;
    display: inline-block;
    margin-bottom: -5px;
    overflow: hidden;
}

/*.domains-portal .nav-tabs > li:first-child {
        float: right;
    }

    .domains-portal .nav-tabs > li:last-child {
        float: left;
    }*/

/*.domains-portal .field-validation-error {
    display: block;
    padding: 8px 20px;
    background-color: #fff;
    color: #cb0b0b;
}*/
.field-validation-error {
    display: block;
    padding: 8px 20px;
    background-color: #fff;
    color: #cb0b0b;
    margin-top: -1px;
}

.domains-portal .nav-tabs > li > a {
    font-size: 18px;
    color: #fff;
    border: 1px solid #000;
    background-color: #000;
}

.domains-portal .nav-tabs > li.active > a {
    background-color: rgb(255, 255, 255);
    color: #000;
    border: 1px solid rgb(255, 255, 255);
}

.domains-portal .input-icon {
    color: #000;
}

.domains-portal .focused .input-icon {
    color: #000;
    border-right-color: #000;
}

#loginBox > div,
#signupBox > div,
#forgetPassBox,
#resetPassBox,
.box-btn {
    box-shadow: 0px 0px 1px 1px rgba(0,0,0,0.3);
}

.btn-back {
    width: 100%;
    display: block;
    line-height: 50px;
    text-align: center;
    font-size: 1.2em;
    font-weight: 100;
    text-transform: uppercase;
    background-color: rgba(216, 231, 233, 0.29);
    border: 0;
    color: #fff;
}

    .btn-back:focus {
        color: #fff;
    }

    .btn-back:hover {
        background-color: rgba(216, 231, 233, 0.5);
        color: #FFF;
    }

.box-btn > span {
    color: #f68b0f;
    font-weight: 600;
}

.box-btn.left {
    left: 0px;
}

.box-btn.right {
    right: 0px;
}

.box-btn.full {
    width: 100%;
    left: 0px;
}

.club-signup {
    background-color: #00dae1;
    border-color: #00dae1;
    color: #000;
    margin-top: 15px;
}

    .club-signup:hover {
        background-color: #00dae1;
        border-color: #00dae1;
        color: #000;
    }

.login-login {
    position: relative;
    background-color: rgba(37, 37, 37, 0.75);
    border: 1px solid transparent;
    padding: 40px 30px;
    min-height: 420px;
    /*margin-bottom: 5px;*/
}

.login-form {
    position: absolute;
    width: 100%;
    left: 50%;
    padding-right: 40px;
    padding-left: 40px;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}

.img-box {
    position: absolute;
    height: 100%;
    width: 300px;
    transform: translateX(100%);
    top: 0;
    right: -30px;
    overflow: hidden;
    border: 4px double #636363;
}

    .img-box img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
    }


    .img-box .content {
        position: absolute;
        bottom: 0;
        text-align: center;
        padding: 15px 10px;
        background-color: rgba(255, 255, 255, 0.79);
    }


        .img-box .content > h4 {
            margin: 0;
            color: white;
            position: relative;
            z-index: 1;
            font-size: 21.6px;
            line-height: 25.9px;
        }

/*****************************************/
#jbLogo {
    /*background-color: rgba(37, 44, 86, 0.65);*/
    padding: 12px;
    /*box-shadow: 0px 0px 10px 7px rgba(37, 44, 86, 0.65);*/
}

.login-login {
    background-color: transparent;
    border: none;
    margin-bottom: 0;
    box-shadow: none !important;
}

.login-form {
    padding-right: 0;
    padding-left: 0;
}

.jb-icon-input {
    background-color: rgb(255, 255, 255);
    border: none;
    color: rgba(37, 44, 90, 0.85);
    box-shadow: none;
    text-transform: none;
}

.logo-portal {
    position: absolute;
    top: 30px;
    left: 30px;
    background-color: rgba(204, 204, 204, 0.44);
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    padding: 6px;
    display: inline-block;
}

    .logo-portal > img {
        padding: 4px;
        background-color: rgba(46, 46, 46, 0.08);
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        border-radius: 3px;
        height: 70px;
        max-width: 300px;
        max-height: 70px;
    }

.domains-portal .form-group {
    margin-bottom: 1px;
}

.form-group {
    margin-bottom: 1px;
}

.jb-lg-btn {
    margin-top: 0px;
}

.btn-jb {
    background-color: rgb(246, 139, 15);
    border: 5px solid rgb(255, 255, 255);
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

    .btn-jb:hover {
        background-color: #ca7108;
    }

    .btn-jb:focus {
        border: 5px solid rgb(255, 255, 255);
    }

.form-group.checkbox {
    margin-right: 20px;
}

.txt-forgot, .txt-portal {
    font-size: 18px;
    text-align: center;
}

#loginBox .forget-password {
    float: none;
    display: block;
    text-align: left;
    margin-top: 0;
}

#forgetPassBox, #resetPassBox {
    box-shadow: none;
}

.box-btn {
    background-color: rgba(37, 44, 90, 0.85);
}

    .box-btn > span {
        color: #fff;
    }

    .box-btn:hover {
        background-color: rgba(37, 44, 90, 0.95);
    }

.form-group.focused .jb-icon-input {
    color: rgba(37, 44, 90, 0.85);
}

.form-control:focus {
    outline: none !important;
    box-shadow: none;
}

#loginBox > div, #signupBox > div, #forgetPassBox, #resetPassBox, .box-btn {
    box-shadow: none !important;
}
/*****************************************/
@media (max-width:1024px) and (min-width:768px) {
    #loginBox {
        left: 34.6%;
    }
}

@media (max-width:800px) and (min-width:768px) {
    html, body {
        /*min-height: initial;*/
        height: 100% !important;
    }

    #loginBox > div, #signupBox > div, #forgetPassBox, #resetPassBox, .box-btn {
        box-shadow: none !important;
    }

    .logo-container {
        text-align: center;
    }

    .logo-portal {
        margin: 20px 5px;
    }

    #loginBox,
    #signupBox,
    .domains-portal,
    #forgetPassBox,
    #resetPassBox,
    .login-form,
    .img-box,
    .img-box img,
    .img-box .content,
    #mainBody > .navbar-brand,
    #mainContainer,
    .logo-portal {
        position: static !important;
        float: none !important;
        top: initial !important;
        left: initial !important;
        bottom: initial !important;
        right: initial !important;
        -webkit-transform: initial !important;
        -moz-transform: initial !important;
        -ms-transform: initial !important;
        -o-transform: initial !important;
        transform: initial !important;
        min-height: initial !important;
    }

    .domains-portal {
        min-height: 386px !important;
    }

    .img-box img {
        display: none;
    }

    .navbar-brand {
        height: auto;
        text-align: center;
    }

    .img-box {
        width: 100%;
        border: none;
        padding: 10px;
    }

    .login-form, #forgetPassBox, #resetPassBox, .domains-portal {
        padding: 10px;
        border: none;
    }

    #loginBox, #signupBox, #forgetPassBox, #resetPassBox, .domains-portal {
        width: 100%;
        position: absolute !important;
        top: 50% !important;
        left: 50% !important;
        -webkit-transform: translate(-50%,-50%) !important;
        -moz-transform: translate(-50%,-50%) !important;
        -ms-transform: translate(-50%,-50%) !important;
        -o-transform: translate(-50%,-50%) !important;
        transform: translate(-50%,-50%) !important;
    }

    .box-btn {
        width: 100%;
        display: block;
        line-height: 50px;
        text-align: center;
        font-size: 1.2em;
        font-weight: 100;
        text-transform: uppercase;
        background-color: #242424;
        background-color: rgba(0,0,0,0.7);
        border: 1px solid transparent;
        color: #ffffff;
    }

    .jb-icon-input {
        padding: 10px 10px 10px 50px;
        font-size: 1.3em;
    }

    .input-icon {
        top: 19px;
        left: 17px;
        font-size: 1.8em;
    }

    .form-group.focused .input-icon {
        font-size: 1.5em;
        top: 20px;
    }

    .form-group.focused .jb-icon-input {
        font-size: 1em;
    }

    .jb-lg-btn {
        line-height: 60px;
    }
}

@media (max-width:767px) {
    #tab-xs > li.active {
        display: none;
    }

    #base-tab {
        display: block;
    }

        #base-tab li {
            float: none;
            border: none;
        }

            #base-tab li a {
                border: none;
                margin: 0;
            }

    #tab-xs > li a {
        background-color: transparent;
        padding: 10px 0;
        font-size: 18px;
        border: none;
    }

    html {
        /*min-height: initial;*/
        height: 100% !important;
    }

    body {
        height: auto !important;
    }

    #loginBox > div, #signupBox > div, #forgetPassBox, #resetPassBox, .box-btn {
        box-shadow: none;
    }

    .logo-container {
        text-align: center;
    }

    .logo-portal {
        margin: 20px 5px;
    }

    #loginBox,
    #signupBox,
    .domains-portal,
    #forgetPassBox,
    #resetPassBox,
    .login-form,
    .img-box,
    .img-box img,
    .img-box .content,
    #mainBody > .navbar-brand,
    #mainContainer,
    .logo-portal {
        position: static !important;
        float: none !important;
        top: initial !important;
        left: initial !important;
        bottom: initial !important;
        right: initial !important;
        -webkit-transform: initial !important;
        -moz-transform: initial !important;
        -ms-transform: initial !important;
        -o-transform: initial !important;
        transform: initial !important;
        min-height: initial !important;
    }

    .domains-portal {
        min-height: 386px !important;
    }

    .img-box img {
        display: none;
    }

    .navbar-brand {
        height: auto;
        text-align: center;
    }

    .img-box {
        width: 100%;
        border: none;
        padding: 10px;
    }

    .login-form, #forgetPassBox, #resetPassBox, .domains-portal {
        padding: 10px;
        border: none;
    }

    #loginBox, #signupBox, #forgetPassBox, #resetPassBox, .domains-portal {
        width: 100%;
        position: absolute !important;
        top: 50% !important;
        left: 50% !important;
        -webkit-transform: translate(-50%,-50%) !important;
        -moz-transform: translate(-50%,-50%) !important;
        -ms-transform: translate(-50%,-50%) !important;
        -o-transform: translate(-50%,-50%) !important;
        transform: translate(-50%,-50%) !important;
    }

    .box-btn {
        width: 100%;
        display: block;
        line-height: 50px;
        text-align: center;
        font-size: 1.2em;
        font-weight: 100;
        text-transform: uppercase;
        background-color: #242424;
        background-color: rgba(0,0,0,0.7);
        border: 1px solid transparent;
        color: #ffffff;
    }

    .jb-icon-input {
        padding: 10px 10px 10px 50px;
        font-size: 1.3em;
    }

    .input-icon {
        top: 19px;
        left: 17px;
        font-size: 1.8em;
    }

    .form-group.focused .input-icon {
        font-size: 1.5em;
        top: 20px;
    }

    .form-group.focused .jb-icon-input {
        font-size: 1em;
    }

    .jb-lg-btn {
        line-height: 60px;
    }
}

@media (max-width:799px) and (max-height:540px) {

    #loginBox, #signupBox, #forgetPassBox, #resetPassBox, .domains-portal {
        width: 100%;
        position: static !important;
        top: initial !important;
        left: initial !important;
        -webkit-transform: initial !important;
        -moz-transform: initial !important;
        -ms-transform: initial !important;
        -o-transform: initial !important;
        transform: initial !important;
    }
}

@media (max-width:480px) {
    .domains-portal .nav-tabs {
        border: none;
        display: block;
        overflow: hidden;
        margin-bottom: 0;
    }

        .domains-portal .nav-tabs > li:first-child, .domains-portal .nav-tabs > li:last-child {
            float: none;
        }


    #loginBox, #signupBox, #forgetPassBox, #resetPassBox, .domains-portal {
        width: 100%;
        position: static !important;
        top: initial !important;
        left: initial !important;
        -webkit-transform: initial !important;
        -moz-transform: initial !important;
        -ms-transform: initial !important;
        -o-transform: initial !important;
        transform: initial !important;
    }

    .img-box .content > h4 {
        font-size: 18px;
    }

    .domains-portal .nav-tabs > li {
        float: none;
    }

        .domains-portal .nav-tabs > li a {
            border: none;
            margin-right: 0;
        }
}

@media (max-width:480px) and (min-height:570px) {
    #loginBox, #signupBox, #forgetPassBox, #resetPassBox, .domains-portal {
        width: 100%;
        position: absolute !important;
        top: 50% !important;
        left: 50% !important;
        -webkit-transform: translate(-50%,-50%) !important;
        -moz-transform: translate(-50%,-50%) !important;
        -ms-transform: translate(-50%,-50%) !important;
        -o-transform: translate(-50%,-50%) !important;
        transform: translate(-50%,-50%) !important;
    }
}

@media (max-height:510px) {
    html, body, main#mainContainer {
        height: auto !important;
        min-height: 510px !important;
        position: relative !important;
    }

    #loginBox {
        position: absolute !important;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%,-50%) !important;
    }
}

.fix-tooltip {
    padding: 8px;
    margin-top: 10px;
    text-align: justify;
    position: relative;
}

    .fix-tooltip:before {
        content: "";
        border-color: transparent;
        border-style: solid;
        position: absolute;
    }

.fix-tooltip_color-light-green {
    background-color: #f1f69c;
    color: #000;
}

.fix-tooltip_top.fix-tooltip:before {
    border-width: 0 5px 5px;
    border-bottom-color: #f1f69c;
    top: -5px;
    left: 50%;
     -webkit-transform: translateX(-50%);
       -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
         -o-transform: translateX(-50%);
            transform: translateX(-50%);
}
